Page MenuHomePhabricator

Block cookies should expire after 24 hours or the length of the actual block, whichever is shorter
Closed, ResolvedPublic1 Story Points

Description

Let's change the cookie expiration to expire after 24 hours or the length of the actual block, whichever is shorter (at least until we're sure that it's not causing any problems). (Hopefully, this is the same way that non-cookie autoblocks currently work.)

Event Timeline

kaldari created this task.Dec 15 2016, 6:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 15 2016, 6:50 PM
kaldari triaged this task as Normal priority.Dec 15 2016, 6:50 PM
kaldari moved this task from Untriaged to To be estimated/discussed on the Community-Tech board.
kaldari set the point value for this task to 1.
kaldari moved this task from To be estimated/discussed to Estimated on the Community-Tech board.
Samwilson edited projects, added Community-Tech-Sprint; removed Community-Tech.

Change 328353 had a related patch set uploaded (by Samwilson):
Default block-cookies to 24 hours only

https://gerrit.wikimedia.org/r/328353

kaldari closed this task as Resolved.Dec 22 2016, 2:15 AM
kaldari moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.

Change 328353 merged by jenkins-bot:
Default block-cookies to 24 hours only

https://gerrit.wikimedia.org/r/328353

DannyH moved this task from Estimated to Archive on the Community-Tech board.Jan 3 2017, 7:44 PM